### Method

# Shumate MapSourceRegistry add

#### Declaration [src]

    void
    shumate_map_source_registry_add (
      ShumateMapSourceRegistry* self,
      ShumateMapSource* map_source
    )

#### Description [src]

Adds the `ShumateMapSource` to the `ShumateMapSourceRegistry`.

#### Parameters

`map_source` | `ShumateMapSource`
| A `ShumateMapSource`.
| The instance takes ownership of the data, and is responsible for freeing it.